
#include "GMEAppDelegate.h"
//#import <Foundation/Foundation.h>
#include "Core.h"
#include <GMESDK/tmg_sdk.h>

static void OnAppDidEnterBackground()
{
    ITMGContextGetInstance()->Pause();
}

static void OnAppWillEnterForeground()
{
    ITMGContextGetInstance()->Resume();
}

void GMEAppDelegate::Initialize()
{
    FCoreDelegates::ApplicationWillDeactivateDelegate.AddStatic(&OnAppDidEnterBackground);
    FCoreDelegates::ApplicationHasReactivatedDelegate.AddStatic(&OnAppWillEnterForeground);
}

